Package com.collabnet.ce.soap60.webservices.docman

# Class DocumentFolderFieldValueSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.docman.DocumentFolderFieldValueSoapDO

public class DocumentFolderFieldValueSoapDO extends Object
Data object that represents a possible value for a document custom field.

Since:
  17.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `VALUE_CLASS_CLOSED`
  Possible value for the 'valueClass' field, indicating that a given field value represents a closed state.
  `static final String`
  `VALUE_CLASS_OPEN`
  Possible value for the 'valueClass' field, indicating that a given field value represents an open state.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentFolderFieldValueSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Returns 'id'.
  `boolean`
  `getIsDefault()`
  Returns 'isDefault'.
  `String`
  `getValue()`
  Returns 'value'.
  `String`
  `getValueClass()`
  Returns 'valueClass'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setIsDefault(boolean isDefault)`
  Sets 'isDefault'.
  `void`
  `setValue(String value)`
  Sets 'value'.
  `void`
  `setValueClass(String valueClass)`
  Sets 'valueClass'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VALUE_CLASS_OPEN

    public static final String VALUE_CLASS_OPEN
    Possible value for the 'valueClass' field, indicating that a given field value represents an open state.
    See Also:
      - Constant Field Values

  - ### VALUE_CLASS_CLOSED

    public static final String VALUE_CLASS_CLOSED
    Possible value for the 'valueClass' field, indicating that a given field value represents a closed state.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DocumentFolderFieldValueSoapDO

    public DocumentFolderFieldValueSoapDO()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'.
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'.
    Parameters:
      `id` - Value of 'id'.

  - ### getValue

    public String getValue()
    Returns 'value'. The value of the field.
    Returns:
      Value of 'value'.

  - ### setValue

    public void setValue(String value)
    Sets 'value'. The value of the field.
    Parameters:
      `value` - Value of 'value'.

  - ### getValueClass

    public String getValueClass()
    Returns 'valueClass'. The open/closed value of the field value, for fields that can represent an open or closed state. Possible values are VALUE_CLASS_OPEN and VALUE_CLASS_CLOSED.
    Returns:
      Value of 'valueClass'.

  - ### setValueClass

    public void setValueClass(String valueClass)
    Sets 'valueClass'. The open/closed value of the field value, for fields that can represent an open or closed state. Possible values are VALUE_CLASS_OPEN and VALUE_CLASS_CLOSED.
    Parameters:
      `valueClass` - Value of 'valueClass'.

  - ### getIsDefault

    public boolean getIsDefault()
    Returns 'isDefault'.
    Returns:
      Value of 'isDefault'.

  - ### setIsDefault

    public void setIsDefault(boolean isDefault)
    Sets 'isDefault'.
    Parameters:
      `isDefault` - Value of 'isDefault'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)